aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-09-13 17:51:51 +0200
committerJakub Jirutka <jakub@jirutka.cz>2017-09-13 17:52:15 +0200
commitfdda3e47673a4f685d2090c2c2ff9e0b17c61816 (patch)
treea9c64f85198e0fe53f0153ef3122a959d983ede8
parentc021d0c613089c8b6047d9d9151f7df4825cc6e7 (diff)
downloadaports-fdda3e47673a4f685d2090c2c2ff9e0b17c61816.tar.bz2
community/ruby-pygments: upgrade to 1.2.0
-rw-r--r--community/ruby-pygments/APKBUILD10
-rw-r--r--community/ruby-pygments/fix-gemspec.patch12
2 files changed, 4 insertions, 18 deletions
diff --git a/community/ruby-pygments/APKBUILD b/community/ruby-pygments/APKBUILD
index 3eacebc..9ded977 100644
--- a/community/ruby-pygments/APKBUILD
+++ b/community/ruby-pygments/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
pkgname=ruby-pygments
_gemname=pygments.rb
-pkgver=1.1.2
+pkgver=1.2.0
pkgrel=0
pkgdesc="Pygments syntax highlighting in Ruby"
url="https://github.com/tmm1/pygments.rb"
@@ -11,8 +11,7 @@ license="MIT"
depends="python2 py2-pygments ruby ruby-json ruby-multi_json"
checkdepends="ruby-bundler ruby-rake ruby-test-unit"
source="$pkgname-$pkgver.tar.gz::https://github.com/tmm1/$_gemname/archive/v$pkgver.tar.gz
- use-system-pygments-only.patch
- fix-gemspec.patch"
+ use-system-pygments-only.patch"
builddir="$srcdir/$_gemname-$pkgver"
prepare() {
@@ -49,6 +48,5 @@ package() {
$_gemname-$pkgver.gem
}
-sha512sums="e7d6c7b391894d22edb6aa64d5aa604a6b43912245507b8693084dff8e02a33cd94cac0aa6dcd52040648019f8eadb88707b71aeffe5f0ce10002733a8dd674a ruby-pygments-1.1.2.tar.gz
-a8e5d64d8209dacb5090378e8507095359b38ef55ac6896f5bd95fa9676691beb278d6d19eb47cbc51fac843b326b8e21fbf1dd9ed39e123ed0943293b0a82ca use-system-pygments-only.patch
-ddc8654d788a9b3906fd8b92476bf3fe83b07d0206e32b21453e39cfa69e116ea9906a263d4427faf8eeb6a8595fce4af55281508f49103e87a8b31dd3dd99e1 fix-gemspec.patch"
+sha512sums="399bca95362eb5a6d00f8856af2ef30905aa5529a60f2633e2b45e3bda8fcf3756b18c48bbd80f012486f42feebca0ab09d31dcab1da5ecde54572be2e7c7d25 ruby-pygments-1.2.0.tar.gz
+a8e5d64d8209dacb5090378e8507095359b38ef55ac6896f5bd95fa9676691beb278d6d19eb47cbc51fac843b326b8e21fbf1dd9ed39e123ed0943293b0a82ca use-system-pygments-only.patch"
diff --git a/community/ruby-pygments/fix-gemspec.patch b/community/ruby-pygments/fix-gemspec.patch
deleted file mode 100644
index 05c509a..0000000
--- a/community/ruby-pygments/fix-gemspec.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-Busybox find does not support -printf. Moreover, there are no symlinks
-in the tarball, so this exclude is quite useless.
-
---- a/pygments.rb.gemspec
-+++ b/pygments.rb.gemspec
-@@ -21,6 +21,5 @@
- # s.extensions = ['ext/extconf.rb']
- s.require_paths = ['lib']
-
-- exclude = `find . -type l -printf '%P\\0'`.split("\0").map {|f| "':!#{f}'" } * ' '
- s.files = `git ls-files -- . #{exclude}`.split("\n")
- end